Page MenuHomePhabricator

Efl.Ui.Animation_View: Change state name
ClosedPublic

Authored by jsuya on Dec 18 2019, 10:25 PM.

Details

Summary

play-> playing
play_back -> playing_backwards
pause -> paused
stop -> stoped

Depends on D10862
ref T8476

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Dec 18 2019, 10:25 PM
jsuya requested review of this revision.Dec 18 2019, 10:25 PM
jsuya updated this revision to Diff 27648.Dec 18 2019, 10:26 PM
jsuya edited the summary of this revision. (Show Details)

update message

segfaultxavi requested changes to this revision.Dec 19 2019, 12:55 AM

I think this rename is important. It is much clearer when state names are adjectives (look at the docs for each state: they use the adjective version of the state names).

I suggest some further renames:

  • backward -> backwards (with an ending s). When you talk about movement, it needs that ending s.
  • pause -> paused (to make it an adjective).
  • stop -> stopped (to make it an adjective).

This would be in line with GStreamer, for example:
https://gstreamer.freedesktop.org/documentation/additional/design/states.html?gi-language=c

This revision now requires changes to proceed.Dec 19 2019, 12:55 AM
jsuya updated this revision to Diff 27701.Dec 19 2019, 11:23 PM

Update patch
-backward -> backwards
-pause -> paused
-stop -> stopped
-modify elm_animation_view_state_get function.

jsuya updated this revision to Diff 27702.Dec 19 2019, 11:24 PM
jsuya edited the summary of this revision. (Show Details)

update message

jsuya updated this revision to Diff 27703.Dec 19 2019, 11:26 PM

fix typo

segfaultxavi requested changes to this revision.Dec 20 2019, 12:31 AM

English is a weird language, I know :D

src/bin/elementary/test_efl_gfx_vg_value_provider.c
526

Play backwards

src/lib/elementary/efl_ui_animation_view.eo
9

stopped! Be careful!

This revision now requires changes to proceed.Dec 20 2019, 12:31 AM
jsuya updated this revision to Diff 27713.Dec 20 2019, 1:25 AM

Fix typo. @segfaultxavi Thanks :)

jsuya marked 2 inline comments as done.Dec 20 2019, 1:25 AM
This revision is now accepted and ready to land.Dec 20 2019, 1:54 AM
jsuya updated this revision to Diff 27757.Dec 23 2019, 1:02 AM

fix typo in elementary test

segfaultxavi accepted this revision.Dec 23 2019, 4:35 AM

Thanks, I missed those :P

This revision was automatically updated to reflect the committed changes.